#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n,korisno=0,nekorisno=0;
    double procenat, maxx=0;
    cin>>n;
    pair <double, double> pare[n];
    for(int i=0;i<n;i++){
    cin>>pare[i].second;    
    cin>>pare[i].first;   
    }
    procenat=pare[1].first/100;
    sort(pare,pare+n);
    for(int i=n-1;i>=0;i--){
        if(korisno*procenat<(nekorisno+korisno+pare[i].second)*pare[i].first/100)
        {
        maxx=(nekorisno+korisno+pare[i].second)*pare[i].first/100;
        korisno+=nekorisno+pare[i].second;
        procenat=pare[i].first/100;
        }
        else{
            nekorisno+=pare[i].second;
        }
        
    }
    cout << fixed << setprecision(3) << maxx ;
    
}